part of 'development_sizes_bloc.dart';

abstract class DevelopmentSizesState extends Equatable {
  const DevelopmentSizesState();

  @override
  List<Object> get props => [];
}

class DevelopmentSizesInitial extends DevelopmentSizesState {
  const DevelopmentSizesInitial();
}

class DevelopmentSizesLoading extends DevelopmentSizesState {
  const DevelopmentSizesLoading();
}

class DevelopmentSizesReady extends DevelopmentSizesState {
  const DevelopmentSizesReady();
}

class DevelopmentSizesError extends DevelopmentSizesState {
  final String message;
  const DevelopmentSizesError({required this.message});

  @override
  List<Object> get props => [this.message];
}
